AnsweredAssumed Answered

Je ne parviens pas à déployer alfresco. L'erreur...

Question asked by toro on Jun 26, 2006
Latest reply on Jun 27, 2006 by michaelh
Bonjour,

Je ne parviens pas à déployer alfresco. L'erreur qui apparait dans les logs de tomcat est la suivante :

***********************************************************************************************
Dernière info avant erreur :

2006/06/26 09:25:01:099 CEST [INFO] XmlBeanDefinitionReader - Loading XML bean definitions from class path resource [alfresco/authentication-services-context.xml]
***********************************************************************************************
Erreur :
Jun 26, 2006 9:25:01 AM org.apache.catalina.loader.WebappClassLoader loadClass
INFO: Illegal access: this web application instance has been stopped already.  Could not load cryptix.jce.provider.md.MD4.  The eventual following stack trace is caused by an error thrown for debugging purposes as well as to attempt to terminate the thread which caused the illegal access, and has no functional impact)
2006/06/26 09:25:01:339 CEST [ERROR] ContextLoader - Context initialization failed <java.lang.ThreadDeath>java.lang.ThreadDeath
        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1229)
        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1189)
        at java.security.Provider$Service.getImplClass(Provider.java:1172)
        at java.security.Provider$Service.newInstance(Provider.java:1129)
        at sun.security.jca.GetInstance.getInstance(GetInstance.java:220)
        at sun.security.jca.GetInstance.getInstance(GetInstance.java:147)
***********************************************************************************************

J'avais déjà eu cette erreur voila quelques temps, et j'avais lu une réponse sur le forum anglophone qui m'avait aidé. Malheureusement, cette réponse n'ai plus indexée. Il me semble qu'il s'agissait de déplacer le jar contenant cette classe dans le dossier common/lib de tomcat. Mais cela ne semble plus fonctionner.

Pour information, la machine hoté tourne sous fedora core 4, tomcat 5.0, jvm 1.5.0_04-b05. Toute aide est la bienvenue.

Merci

Outcomes